// 购物车基页
<template>
  <div class="cart">
    <navTitle :navTit="title" :iconShow="flag"></navTitle>
    <div class="cart-cont">
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
import navTitle from "../../components/NavTitle.vue";

export default {
  name: "Cart",
  components: {
    navTitle
  },
  data() {
    return {
      title: "",
      flag: true
    };
  },
  created() {
    this.title = this.$route.meta.title;
  },
  mounted() {
    this.title = this.$route.meta.title;
    console.log(this.$route);
  },
  watch: {
    title(val) {
      if (val == "购物车") {
        this.flag = false;
      } else {
        this.flag = true;
      }
    },
    $route() {
      this.title = this.$route.meta.title;
    }
  }
};
</script>

<style lang="less" scoped>
.cart {
  width: 100%;
  height: 100%;

  .cart-cont {
    width: 100%;
    height: calc(100% - 49px - 44px);
    overflow: auto;
  }
}
</style>